be.fgov.ehealth.commons.protocol.v1

## Class ResponseType

- java.lang.Object
- - be.fgov.ehealth.commons.protocol.v1.ResponseType

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    AskChap4MedicalAdvisorAgreementResponse, ConsultChap4MedicalAdvisorAgreementResponse, DecodeResponse, DeleteMessageResponse, DeleteOoOResponse, EncodeResponse, GetBoxInfoResponse, GetFullMessageResponse, GetHistoryResponse, GetInsurabilityAsFlatResponse, GetInsurabilityResponse, GetMessageAcknowledgmentsStatusResponse, GetMessageListResponseType, GetOoOListResponse, InsertOoOResponse, MoveMessageResponse, SendMessageResponse, SendResponseType

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2026-02-09T10:38:50+01:00",
                 comments="JAXB RI v2.3.7")
      public class ResponseType
      extends Object
      implements Serializable

  Basic eHealth SOA Response Type. EHealth Service Responses SHOULD extend from this element.

  Java class for ResponseType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="ResponseType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="Status" type="{urn:be:fgov:ehealth:commons:core:v1}StatusType"/>
             </sequence>
             <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResponseType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getId()` Gets the value of the id property.
    `StatusType` | `getStatus()` Gets the value of the status property.
    `void` | `setId(String value)` Sets the value of the id property.
    `void` | `setStatus(StatusType value)` Sets the value of the status property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResponseType

          public ResponseType()

  - ### Method Detail

    - #### getStatus

          public StatusType getStatus()

      Gets the value of the status property.
      Returns:
        possible object is `StatusType`

    - #### setStatus

          public void setStatus(StatusType value)

      Sets the value of the status property.
      Parameters:
        `value` - allowed object is `StatusType`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSPHYSICIAN 4.8.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.